<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');

class Pemeriksaan_persiapan_m extends CI_Model{


	function hapusPemeriksaan($idPerkara){
		try{
			$this->db->where('perkara_id', $idPerkara);
			$this->db->delete('perkara_persiapan'); 
			return TRUE;
		} catch (Exception $e) {
			return FALSE;
			log_message('error', $e);
		}
	}

	function hapusPemeriksaanProses($idPerkara){
		try{
			$this->db->where('perkara_id', $idPerkara);
			$this->db->delete('perkara_persiapan_proses'); 
			return TRUE;
		} catch (Exception $e) {
			return FALSE;
			log_message('error', $e);
		}
	}

	
	function getTanggalPendaftaran($idperkara){
		try {
			$this->db->where('perkara_id',$idperkara);
			$this->db->select('tanggal_pendaftaran');
			return $this->db->get('perkara');
		} catch (Exception $e) {
			log_message('error', $e);
		}
	}

	function getUrutanProses($idperkara){
		try{
			$this->db->where('perkara_id',$idperkara);
			$this->db->select_max('urutan');
			return $this->db->get('perkara_persiapan_proses');
		} catch (Exception $e) {
			log_message('error', $e);
		}
	}


	function updatePerkaraPersiapanProses($idPerkara,$idProses,$data){
		try{
			$this->db->where('perkara_id',$idPerkara);
			$this->db->where('id',$idProses);
			$this->db->update('perkara_persiapan_proses',$data);
			return TRUE;
		} catch (Exception $e) {
			return FALSE;
			log_message('error', $e);
		}
	}

	function hapusDataPersiapanProses($id){
		try{
			$this->db->where('id', $id);
			$this->db->delete('perkara_persiapan_proses'); 
			return TRUE;
		} catch (Exception $e) {
			return FALSE;
			log_message('error', $e);
		} 
	}


	function getLastUrutanProses($idperkara){
		try{
			$sql=('SELECT MAX(urutan) AS urutan FROM perkara_persiapan_proses WHERE perkara_id = '.$idperkara);
				$result = $this->db->query($sql);
				if($result->num_rows>0){
					return $result->row()->urutan;
				}else{
					return 0;
				}
		} catch (Exception $e) {
			log_message('error', $e);
		}
	}

	function getPerkaraPersiapanProses($idProses,$idperkara){
		try{
			$this->db->where('id',$idProses);
			$this->db->where('perkara_id',$idperkara);
			$this->db->select('id,perkara_id,urutan,tanggal_musyawarah,agenda_musyawarah,waktu_musyawarah,dihadiri_oleh,keterangan');
			return $this->db->get('perkara_persiapan_proses');
		} catch (Exception $e) {
			log_message('error', $e);
		}
	}

	function updatePemeriksaanPersiapan($id,$data){
		try{
			$this->db->where('perkara_id',$id);
			$this->db->update('perkara_persiapan',$data);
			$this->db->query("CALL perkara_proses_update(".$id.", 12, 'Penetapan', 42, 'Pemeriksaan Persiapan', '".$data['tanggal_penetapan_persiapan']."', '', '".$this->session->userdata('username')."', '".date('Y-m-d H:i:s')."')");
			$this->db->query("CALL perkara_update_status(".$id.")");
			return TRUE;
		} catch (Exception $e) {
			return FALSE;
			log_message('error', $e);
		}
	}

	function addPemeriksaanPersiapan($data,$tanggal,$idPerkara){
		try{
			$this->db->insert('perkara_persiapan', $data);
			$this->db->query("CALL perkara_proses_update(".$idPerkara.", 12, 'Penetapan', 42, 'Pemeriksaan Persiapan', '".$tanggal."', '', '".$this->session->userdata('username')."', '".date('Y-m-d H:i:s')."')");
			$this->db->query("CALL perkara_update_status(".$idPerkara.")");
			return TRUE;
		} catch (Exception $e) {
			return FALSE;
			log_message('error', $e);
		}
	}


	function addPemeriksaanProses($data){
		try{
			$this->db->insert('perkara_persiapan_proses', $data);
			return TRUE;
		} catch (Exception $e) {
			return FALSE;
			log_message('error', $e);
		}
	}


	function getPemeriksaanPersiapan($idperkara){
		try{
			$this->db->where('perkara_id',$idperkara);
			$this->db->select('perkara_id,tanggal_penetapan_persiapan,petitum,petitum_dok');
			return $this->db->get('perkara_persiapan');
		}catch (Exception $e) {
			log_message('error', $e);
		}
	}

	function getPersiapanProses($idperkara){
		try{
			$this->db->where('perkara_id',$idperkara);
			$this->db->select('id,perkara_id,urutan,tanggal_musyawarah,agenda_musyawarah, edoc_persiapan_proses, waktu_musyawarah,dihadiri_oleh,keterangan');
			return $this->db->get('perkara_persiapan_proses');
		}catch (Exception $e) {
			log_message('error', $e);
		}
	}



}	
	
?>
